//==============================================================================
//
// Snake
// -----
// http://www.masterspace.biz/andreschnabel/
// 2006 by André Schnabel (thefrogs@web.de)
//
//==============================================================================

// messages.h

#ifndef MESSAGES_H
#define MESSAGES_H

#include "globals.h"
#include "utils.h"

#define MAX_MSGS		10
#define MAX_MSG_LENGTH	100

typedef struct msg_s
{
	char text[MAX_MSG_LENGTH];
	int timeToLast;
	boolean active;
		
} msg_t;

void InitMessages(void);
void AddMessage(const char *msg);
void UpdateMessages(void);
void DrawMessages(int x, int y);

#endif
